/// <reference types="node" />
import EventEmitter from "@scena/event-emitter";
import { ChildProcess } from "child_process";
import { IObject } from "@daybrush/utils";
import { RendererStatus, RenderOptions } from "./types";
export default class Renderer extends EventEmitter {
    startTime: number;
    endTime: number;
    captureFrames: number;
    progress: number;
    status: RendererStatus;
    process: ChildProcess;
    pathname: string;
    isEnd: boolean;
    start(options?: RenderOptions): void;
    finish(): void;
    cancel(isError?: boolean): void;
    getProgressInfo(): {
        time: number;
        progress: number;
        status: RendererStatus;
    };
    trigger(name: string, param?: IObject<any>): boolean;
}
